@echo off
TITLE Enable/Turn On 'Live' Tiles
COLOR 1F
echo.

cd %systemroot%\system32
call :IsAdmin
CLS
TITLE Enable/Turn On 'Live' Tiles
COLOR 1F

echo.
echo Enable/Turn On the animated 'Live' Start Menu Tiles.
echo.
reg add "HKCU\Software\Microsoft\Windows\CurrentVersion\PushNotifications" /v "NoTileApplicationNotification" /t REG_DWORD /d "0" /f >nul 2>&1
reg add "HKLM\Software\Microsoft\Windows\CurrentVersion\PushNotifications" /v "NoTileApplicationNotification" /t REG_DWORD /d "0" /f >nul 2>&1
echo.
echo Done. Reboot may be Required.

:Finished
TIMEOUT /T 5 >NUL 2>&1
exit

:IsAdmin
Reg.exe query "HKU\S-1-5-19\Environment"
If Not %ERRORLEVEL% EQU 0 (
 Cls
 echo.
 Echo You must have administrator rights to continue...
 echo.
 Pause
 Exit
)
